
|instClass installWebTools|

installWebTools := false.
Preferences disable: #showDeprecationWarnings.

instClass := Smalltalk at: #Installer ifAbsent: [ScriptLoader loadLatestPackage: 'Installer-Core' fromSqueaksource: 'Installer'. Smalltalk at: #Installer].



instClass wiresong
	project: 'ob';
	install: 'OmniBrowser';
	install: 'OB-Standard-dr';
	install: 'OB-Morphic-dr'.

"
instClass lukas
	  project: 'omnibrowser';
	  install: 'OmniBrowser';
	  install: 'OB-Standard';
	  install: 'OB-Morphic';
	  install: 'OB-SUnitIntegration'.
"

instClass ss
	project: 'AST';
	install: 'AST-damiencassou'. "overrides Behavior>>prettyPrintClass Trait>>withAllSubclasses"

instClass ss
	project: 'RefactoringEngine';
	install: 'Refactoring-Core';
	install: 'Refactoring-Spelling'.
	
instClass ss
	project: 'Regex';
	install: 'VB-Regex'.

instClass lukas
	project: 'omnibrowser';
	install: 'OB-Refactory'.


instClass wiresong
	project: 'ob';
	install: 'OB-Enhancements'.

	
instClass lukas
	project: 'omnibrowser';
	install: 'OB-Regex';
	install: 'OB-Tools'.

instClass ss
	project: 'shout';
	install: 'Shout.3.15-tween.72';
	install: 'ShoutWorkspace.1-tween'.

instClass ss
	project: 'OCompletion';
        answer:  'list of packages' with: 'Kernel* Collection*';
        install: 'OCLoader'.

instClass ss
	project: 'Nile';
	install: 'Nile-All'.

instClass ss
	project: 'autoMethodCat';
	install: 'AutomaticMethodCategorizer';
	install: 'AutomaticMethodCategorizerOB'.

installWebTools ifTrue: [

	instClass ss
		project: 'KomHttpServer';
		install: 'DynamicBindings';
		install: 'KomServices';
		install: 'KomHttpServer'.
	
	instClass ss
		project: 'Seaside';
		answer: '.*username.*' with: 'admin';
		answer: '.*password.*' with: 'seaside';
		install: 'Seaside2.8a1'.

	instClass ss
		project: 'rsrss';
		install: 'RSRSS2'.

	instClass lukas
		project: 'magritte';
		install: 'Magritte-All'.

	instClass lukas
		project: 'pier';
		answer:  'Would you like.*' with: true;
		answer:  '.*name of your Pier kernel.*' with: 'Pier';
		answer:  '.*entry point.*' with: 'pier';
		answer:  '.*port number.*' with: '8080';
		installQuietly: 'Pier-All';
		install: 'Pier-Squeak-Persistency'.

	instClass lukas
		project: 'pieraddons';
		install: 'Pier-Design';
		install: 'Pier-Documents';
		install: 'Pier-EditorEnh';
		install: 'Pier-Google';
		install: 'Pier-LightBox';
		answer:  '.*SlideShare.*' with: '';
		install: 'Pier-Links';
		install: 'Pier-Randomizer';
		install: 'Pier-Setup';
		install: 'Pier-SyntaxHighlighter';
		install: 'Pier-TagCloud';
		install: 'Pier-Titles';
		install: 'Pier-Twitter';
		install: 'Sitemap'.

	instClass lukas
		project: 'unsorted';
		install: 'RFB'.

	(Smalltalk classNamed: #PRDistribution) new register.
].

FreeTypeFontProvider current updateFromSystem.
		
font := LogicalFont familyName: 'DejaVu Sans' pointSize: 10.
codeFont := LogicalFont familyName: 'DejaVu Sans Mono' pointSize: 9.
titleFont := LogicalFont familyName: 'DejaVu Serif' pointSize: 11.

Preferences setListFontTo: font.
Preferences setMenuFontTo: font.
Preferences setCodeFontTo: codeFont.
Preferences setButtonFontTo: font.
Preferences setSystemFontTo: font.
Preferences setWindowTitleFontTo: titleFont.

instClass ss
	project: 'ImageForDevelopers';
	install: 'ImageForDevelopers-pharo'.

Preferences enable: #showDeprecationWarnings.

SmalltalkImage current snapshot: true andQuit: true.
